// Ansteuerung eines HD44780 kompatiblen LCD im 4-Bit-Interfacemodus
// http://www.mikrocontroller.net/articles/AVR-GCC-Tutorial
//

#include <avr/io.h>

void lcd_data(unsigned char temp1);
void lcd_string(char *data);
void lcd_command(unsigned char temp1);
void lcd_enable(void);
void lcd_init(void);
void lcd_home(void);
void lcd_clear(void);
void set_cursor(uint8_t x, uint8_t y);
void lcd_puts(void);

 
void put_char(unsigned char);
void put_string(char*);
//void lcd_command(unsigned char);
//void lcd_enable(void);
//extern void lcd_init(void);
//void lcd_home(void);
//void lcd_clear(void);
//void set_cursor(uint8_t,uint8_t);
void laufpause(void);
extern void laufschrift(char*, char); 

#define XTAL 4000000	// Definition der Taktfrequenz. Ist fr die Funktion "delay" wichtig
#define ZEILENLAENGE 16	// Definition der Zeilenlnge des Displays
 
// Hier die verwendete Taktfrequenz in Hz eintragen, wichtig!
 
//#define F_CPU 12000000
 
// LCD Befehle
 
#define CLEAR_DISPLAY 0x01
#define CURSOR_HOME   0x02
 
// Pinbelegung fr das LCD, an verwendete Pins anpassen
 
#define LCD_PORT      PORTA
#define LCD_DDR       DDRA
#define LCD_RS        PD4
#define LCD_EN        PD5
// DB4 bis DB7 des LCD sind mit PD0 bis PD3 des AVR verbunden

